package com.njzscloud.dispose.cst.driver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.dispose.cst.driver.pojo.entity.DriverEntity;
import com.njzscloud.dispose.cst.driver.pojo.param.DriverQueryParam;
import com.njzscloud.dispose.cst.driver.pojo.param.QRCodeParam;
import com.njzscloud.dispose.cst.driver.pojo.result.DriverResult;

import java.util.List;

/**
 * 司机
 *
 * @author ljw
 */
public interface DriverService extends IService<DriverEntity> {

    void add(DriverEntity driverEntity);

    void modify(DriverEntity driverEntity);

    void del(List<Long> ids);

    DriverResult detail(Long id);

    DriverResult detailByUserId(Long userId);

    PageResult<DriverResult> paging(PageParam pageParam, DriverQueryParam queryParam);

    String getCode(QRCodeParam codeParam);

}


